4

After installed anydesk_6.0.1-1_armhf.deb I clicked internet->anydesk but nothing happened, so I use command #/usr/bin/anydesk

anydesk: error while loading shared libraries libbrcmGLESv2

#ln -s /opt/vc/lib/libGLESv2.so /opt/vc/lib/libbrcmGLESv2.so

I soft linked it still have the same error.

1
  • Are you using bullseye? It is told in link here libbrcmGLESv2 is not available on bullseye. Commented Nov 27, 2021 at 11:36

6 Answers 6

0

Try with sudo apt-get install libraspberrypi0, like someone suggested here (link)

1
  • It does not work for me Commented Nov 25, 2021 at 16:12
10

The following trick will do it:

sudo apt install libgles-dev libegl-dev
sudo ln -s /usr/lib/arm-linux-gnueabihf/libGLESv2.so /usr/lib/libbrcmGLESv2.so
sudo ln -s /usr/lib/arm-linux-gnueabihf/libEGL.so /usr/lib/libbrcmEGL.so

Tested with stock RaspiOS Bullseye and anydesk repository.

3
  • DL1MX I have tried it and get following error: failed to create symbolic link '/opt/vc/lib/libbrcmGLESv2.so': No such file or directory
    – misho
    Commented Nov 26, 2021 at 10:43
  • Oh, sorry. Wrong target path. Corrected.
    – DL1MX
    Commented Nov 27, 2021 at 11:31
  • Thank you, using Raspbian 11 (debian/bullseye) and anydesk_6.2.1-1_armhf.deb this hint worked to start anydesk service. (before I had to apt install libegl1-mesa to install anydesk) Commented Apr 12, 2023 at 16:43
1

You need to run sudo ldconfig after adding a library symlink, otherwise the linker will not know about it. The linker will not scan the entire filesystem every time you run a command (that would be too slow), it relies on a library cache created by ldconfig.

2
  • This one also does not work on me. Commented Nov 25, 2021 at 19:52
  • @HakanUlusoy I didn't say it would work. I said a simple symlink couldn't possibly work without running ldconfig first. Commented Nov 25, 2021 at 21:51
1

DL1MX really help me to install the anydesk armhf on Raspbian 64 aarch64, my steps:

sudo dpkg --add-architecture armhf

sudo apt install libpolkit-gobject-1-0:armhf libraspberrypi0:armhf libraspberrypi-dev:armhf libraspberrypi-bin:armhf libgles-dev:armhf libegl-dev:armhf

sudo ln -s /usr/lib/arm-linux-gnueabihf/libGLESv2.so /usr/lib/libbrcmGLESv2.so

sudo ln -s /usr/lib/arm-linux-gnueabihf/libEGL.so /usr/lib/libbrcmEGL.so

Then download the installer and install

1
  • This one is good answer and it works for me
    – muchtarsp
    Commented Jul 24, 2023 at 9:42
0

If you have another rPI with /opt/vc you can copy that over and also copy over /etc/ld.so.conf.d/00-vmcs.conf (or create it with the text "/opt/vc/lib")

then run 'ldconfig'

Now Anydesk worked for me.

0

You can use Chromium-Browser libs also.

ln -s /usr/lib/chromium-browser/libGLESv2.so /usr/lib/libbrcmGLESv2.so

and

ln -s /usr/lib/chromium-browser/libEGL.so /usr/lib/libEGL.so

For me, worked like a charm.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.